Subject: [PATCH] irq: bcm2835: Re-implement the hardware IRQ handler.

From: [email-masked] (Craig McGeachie)
Date: Fri, 04 Oct 2013 22:40:43 +1300

On 10/02/2013 03:01 PM, Stephen Warren wrote:
>>> On 09/21/2013 03:18 AM, Craig McGeachie wrote:
>>>>    * Restore the flow of control that re-reads the base pending register
>>>>      after handling any interrupt. The current version handles all
>>>>      interrupts found in a GPU pending register before re-reading the
>>>>      base pending register. In the original Broadcom assembly code, there
>>>>      appear to be defect tracking numbers next to code inserted to create
>>>>      this behaviour.
>
> BTW, you mentioned "restore" above; while your patch did align the
> upstream Linux driver more closely with the sample code in the PDF, I'm
> not sure that any Linux port actually previously followed that example,
> did it? I'm nit-picking about the semantics of the word "restore" here:-)

When you refer to other ports, are you referring to the likes of 
omap2/tegra/u300?

Cheers,
Craig.